% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muñoz

% Calculo automático de la existencia de error de sembrado en una imagen
function errorSembrado = ferrorSembrado(im, estadoCrec)

% Se utiliza el método E1 para eliminar las líneas de cultivo,
% calculando el numero de pixeles eliminados
proporcion_eliminados = eliminaLineasE1(im);

% Dependiendo de la proporcion de píxeles eliminados (cultivo)
% y del estado de Crecimiento, se estima si la imagen contiene
% un error en el sembrado o no
if(estadoCrec == 3)
    if(proporcion_eliminados<0.12) errorSembrado = true;
    else errorSembrado = false;
    end;
elseif(estadoCrec == 2)
    if(proporcion_eliminados<0.14) errorSembrado = true;
    else errorSembrado = false;
    end;
else
    if(proporcion_eliminados<0.18) errorSembrado = true;
    else errorSembrado = false;
    end;
    
end;